Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(354)

Issue 16888008: Don't create renderers for whitespace nodes in flexbox (Closed)

Created:
6 years, 11 months ago by cbiesinger
Modified:
6 years, 11 months ago
CC:
blink-reviews, dglazkov+blink, eae+blinkwatch, adamk+blink_chromium.org, Julien - ping for review
Visibility:
Public.

Description

Don't create renderers for whitespace nodes in flexbox Even with white-space: pre; we shouldn't create RenderTexts for whitespace-only nodes in flexbox. Test changes are minor whitespace removals, except for the crash test (which changed more, but still doesn't crash) R=ojan@chromium.org BUG= Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=153446

Patch Set 1 #

Patch Set 2 : grid test #

Patch Set 3 : test changes #

Patch Set 4 : rebased + fix mac test #

Patch Set 5 : fix tests #

Patch Set 6 : actually fix tests. there was a (git) rebase issue #

Patch Set 7 : rebased #

Unified diffs Side-by-side diffs Delta from patch set Stats (+82 lines, -106 lines) Patch
M LayoutTests/TestExpectations View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
A LayoutTests/css3/flexbox/whitespace-in-flexitem.html View 1 chunk +15 lines, -0 lines 0 comments Download
A LayoutTests/css3/flexbox/whitespace-in-flexitem-expected.html View 1 chunk +14 lines, -0 lines 0 comments Download
M LayoutTests/editing/selection/button-right-click-expected.txt View 1 2 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/editing/selection/rtl-delete-within-line-crash-expected.txt View 1 2 3 chunks +5 lines, -10 lines 0 comments Download
A LayoutTests/fast/css-grid-layout/whitespace-in-grid-item.html View 1 1 chunk +24 lines, -0 lines 0 comments Download
A LayoutTests/fast/css-grid-layout/whitespace-in-grid-item-expected.html View 1 1 chunk +20 lines, -0 lines 0 comments Download
M LayoutTests/fast/forms/formtarget-attribute-button-html-expected.txt View 1 2 3 5 6 1 chunk +0 lines, -1 line 0 comments Download
D LayoutTests/platform/chromium-android/fast/forms/button-default-title-expected.txt View 1 2 3 4 1 chunk +0 lines, -77 lines 0 comments Download
M LayoutTests/platform/chromium-mac/editing/selection/rtl-delete-within-line-crash-expected.txt View 1 2 3 2 chunks +0 lines, -4 lines 0 comments Download
M LayoutTests/platform/chromium-mac/fast/forms/button-default-title-expected.txt View 1 2 3 4 2 chunks +0 lines, -6 lines 0 comments Download
M LayoutTests/platform/linux/fast/forms/button-default-title-expected.txt View 1 2 3 2 chunks +0 lines, -6 lines 0 comments Download
M Source/core/dom/Text.cpp View 1 2 3 1 chunk +2 lines, -1 line 0 comments Download

Messages

Total messages: 9 (0 generated)
cbiesinger
6 years, 11 months ago (2013-06-14 02:11:04 UTC) #1
ojan
lgtm Mind adding a grid test case for good measure?
6 years, 11 months ago (2013-06-14 03:14:27 UTC) #2
Julien - ping for review
Grid test case: <!DOCTYPE html> <html> <style> .grid { display: grid; white-space: pre; } .a ...
6 years, 11 months ago (2013-06-14 20:22:59 UTC) #3
cbiesinger
On 2013/06/14 20:22:59, Julien Chaffraix wrote: > Grid test case: > > <!DOCTYPE html> > ...
6 years, 11 months ago (2013-06-14 20:35:19 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/cbiesinger@chromium.org/16888008/6001
6 years, 11 months ago (2013-06-14 20:37:16 UTC) #5
commit-bot: I haz the power
Retried try job too often on linux_layout_rel for step(s) webkit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_layout_rel&number=12838
6 years, 11 months ago (2013-06-14 21:32:21 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/cbiesinger@chromium.org/16888008/19001
6 years, 11 months ago (2013-06-14 21:50:02 UTC) #7
commit-bot: I haz the power
Retried try job too often on mac_layout_rel for step(s) webkit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=mac_layout_rel&number=9738
6 years, 11 months ago (2013-06-14 23:20:00 UTC) #8
cbiesinger
6 years, 11 months ago (2013-07-02 21:23:43 UTC) #9
Message was sent while issue was closed.
Committed patchset #7 manually as r153446 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698